<?php require_once 'api/Simpla.php';

class BifitActionsAdmin extends Simpla
{
	function fetch()
	{
		$this->bifitactions->checkDbSheme();
		$mode = $this->request->get('mode');
		$settings = $this->bifitactions->getSettings();
		$payment_methods = $this->payment->get_payment_methods();
		if ($this->request->method('post')) {
			if ($mode == 'reports') {
				// Действия с выбранными
				$ids = $this->request->post('check');
				if (is_array($ids)) {
					switch ($this->request->post('action')) {
						case 'delete':
							foreach ($ids as $id) {
								$this->bifitactions->delete_tranzaction($id);
							}
							break;
					}
				}
				// Сортировка
				$positions = $this->request->post('positions');
				$ids = array_keys($positions);
				sort($positions);
				foreach ($positions as $i => $position) {
					$this->bifitactions->update_tranzaction($ids[$i], array(
						'position' => $position
					));
				}
			} else {
				$bifit_settings = $this->request->post('bifit_settings');
				if (empty($settings)) {
					$this->bifitactions->add_settings(
						json_encode($bifit_settings)
					);
					$this->design->assign('message_success', 'added');
				} else {
					$this->bifitactions->update_settings(
						json_encode($bifit_settings)
					);
					$this->design->assign('message_success', 'updated');
				}
			}
		}
		if ($mode == 'reports') {
			$filter = array();
			$tranzactions = $this->bifitactions->get_tranzactions($filter);

			$this->design->assign('tranzactions', $tranzactions);
		}
		$this->design->assign(
			'bifitsettings',
			$this->bifitactions->getSettings()
		);
		$this->design->assign('payment_methods', $payment_methods);
		$this->design->assign('mode', $mode);

		return $this->body = $this->design->fetch('bifitactions.tpl');
	}
}